#ifndef __MATFPRINT_H__
#define __MATFPRINT_H__


#include <stdio.h>

#include "fptype.h"


void fprint_csr2mm(const char *fname, int m, const int *vptr, const int *vpos, const double *vval, int offs);

void fprint_sdense2mm(const char *fname, const char *name, int m, int n, const float *A, int ldim);
void fprint_ddense2mm(const char *fname, const char *name, int m, int n, const double *A, int ldim);

void print_sdense2mm(FILE *f, const char *name, int m, int n, const float *A, int ldim);
void print_ddense2mm(FILE *f, const char *name, int m, int n, const double *A, int ldim);

void fprint_suff_sdense2mm(const char *fname, int suff, const char *name, int m, int n, const float *A, int ldim);  
void fprint_suff_ddense2mm(const char *fname, int suff, const char *name, int m, int n, const double *A, int ldim);


#endif // __MATFPRINT_H__
