#ifndef __MORTON_H__
#define __MORTON_H__


#include "quadtree.h"


quadtree_t* morton_qtree(int m, int n, int b, int c);
void morton_print_qtree( const char fname[], quadtree_t *t );
double* morton2colmajor( int k, int l, int b, int c, double *Am, quadtree_t *t );


#endif // __MORTON_H__
