#include "matmul_setup.h"

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <math.h>

#include "genmat.h"
#include "matfprint.h"
#include "blocked.h"
#include "fptype.h"


#define max(a,b) (a) > (b)? (a) : (b)
#define min(a,b) (a) > (b)? (b) : (a)


extern fp_t *A;
extern fp_t *B;
extern fp_t *C;


int matmul_setup(int check, int m, int mm, int n, int nn, int k, int kk, int b, int d, int c) {
	A = GENMAT(mm, kk);
	B = GENMAT(kk, nn);

	//print_ddense2mm(stdout, "A", m, k, A, m);
	//print_ddense2mm(stdout, "B", k, n, B, k);

	C = calloc(mm * nn, sizeof(fp_t));

	return 0;
}


int matmul_shutdown(int check, int m, int mm, int n, int nn, int k, int kk, int b, int d, int c) {
	free(A);
	free(B);
	free(C);

	return 0;
}
