#include "strassen_kernels.h"


void strassen_b(int s, double *b11, double *b12, double *b21, double *b22, 
	double *b1122, double *b2122, double *b1112, double *b2111, double *b1222) {

	int i;
	for ( i = 0 ; i < s; ++i ) {
		b1122[i] = b11[i] + b22[i];	
		b2122[i] = b21[i] + b22[i];	
		b1112[i] = b11[i] + b12[i];	
		b2111[i] = b21[i] - b11[i];	
		b1222[i] = b12[i] - b22[i];	
	}

}
