#include "strassen_kernels.h"


void strassen_C1122(int size, double *P1, double *P4, double *P5, double *P7) { 
	int i;
	for ( i = 0; i < size; ++i ) {
		P7[i] += P1[i] + P4[i] - P5[i];  
	}
}


void strassen_C1221(int size, double *P2, double *P3, double *P4, double *P5) {
	int i;
	for ( i = 0; i < size; ++i ) {
		P4[i] += P2[i]; 
		P5[i] += P3[i]; 
	}
}
