#ifndef __TASKS_GEMM_H__
#define __TASKS_GEMM_H__


#pragma omp task in([bm]A, [bk]B) inout([bm]C) 
void task_dgemm(int bm, int bn, int bk, double alpha, double *A, int ldimA, double *B, int ldimb, double beta, double *C, int ldimC);

#pragma omp task in([bm]A, [bk]B) inout([bm]C) 
void task_sgemm(int bm, int bn, int bk, float alpha, float *A, int ldimA, float *B, int ldimB, float beta, float *C, int ldimC);


#endif // __TASKS_GEMM_H__
