#include "debug.h"

#include <stdio.h>


void octave_savemat(const char* fname, const char *mname, int m, int n, double *A) {
	FILE *f = fopen(fname, "w");

	fprintf(f, "# name: %s\n", mname);
	fprintf(f, "# type: matrix\n");
	fprintf(f, "# rows: %i\n", m);
	fprintf(f, "# columns: %i\n", n);

	int i;
	for ( i = 0; i < m; i++ ) {
		int j;
		for ( j = 0; j < n; j++ ) {
			fprintf(f, "%f ", A[j*m+i] );
		}
		fprintf(f, "\n");
	}

	fclose(f);
}
